org.apache.ignite.internal.util.nodestart

## Interface IgniteSshHelper

    public interface IgniteSshHelper

SSH processor, interface was introduced to avoid mandatory runtime dependency on SSH library.

### Method Summary

All Methods Instance Methods Abstract Methods
`StartNodeCallable` `nodeStartCallable(IgniteRemoteStartSpecification spec, int timeout)` Creates `Callable` starting node using SSH.

### Method Detail

#### nodeStartCallable

    StartNodeCallable nodeStartCallable(IgniteRemoteStartSpecification spec,
                                        int timeout)

Creates `Callable` starting node using SSH.

Parameters:
  `spec` - Specification.
  `timeout` - Connection timeout.
Returns:
  `Callable` starting node using SSH.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022